@echo off
cls
ECHO *****************************************************************
ECHO  This will place the Songbird Studio installation program on
ECHO  floppy disks for later installation.
ECHO 
ECHO  Before beginning this process, you will need to have two floppy
ECHO  disks on hand. They do not need to be empty or formatted, since
ECHO  they will be formatted and erased by this program.
ECHO *****************************************************************
ECHO  
REM *** Check to see that we are in the correct directory

if not exist SONGBIRD.EX_ goto WrongDir
choice Do you want to create Songbird Studio install disks
if errorlevel 2 goto Aborted

:Start
ECHO Creating install disks...
ECHO  
REM *** Create response file for FORMAT command
ECHO >x.x
ECHO n>>x.x

ECHO  
ECHO  
ECHO Please place disk #1 into your A: drive,
ECHO and press a key when ready.
PAUSE>nul
ECHO  
echo Please wait, formatting floppy...
type x.x|format /v:Songbird_1 a:>nul

echo Please wait, copying files...
copy INSTALL.EXE  a:>nul
copy INSTALL.INI  a:>nul
copy SBRDLEGO.DL_ a:>nul
copy SONGBIRD.HL_ a:>nul
copy SONGBIRD.EX_ a:>nul
copy STUDIOS.HL_  a:>nul
copy DADGAD~1.SB_ a:>nul
copy LOVGARES.!S_ a:>nul
copy MDVGARES.!S_ a:>nul
copy SONGBIRD.IN_ a:>nul
copy ANALYZ~1.SB_ a:>nul
copy HIVGARES.!S_ a:>nul
copy README.DO_   a:>nul
copy SBRDCONX.DL_ a:>nul

ECHO 
ECHO 
ECHO Please place disk #2 into your A: drive,
ECHO and press a key when ready.
PAUSE>nul
ECHO  
echo Please wait, formatting floppy...
type x.x|format /v:Songbird_2 a:>nul

echo Please wait, copying files...
copy INSTALL.INI  a:>nul
copy OWL501F.DL_  a:>nul
copy BDS501F.DL_  a:>nul
copy BW320007.DL_ a:>nul
copy BW320009.DL_ a:>nul
copy BW32000C.DL_ a:>nul
copy BWCC32.DL_   a:>nul
copy CW3220.DL_   a:>nul
copy FILE_ID.DIZ  a:>nul

ECHO 
ECHO 
ECHO Creation of install disks is finished.
ECHO 
ECHO Now to install Songbird Studio, run A:INSTALL from disk #1.
goto Done

:WrongDir
ECHO 
ECHO 
ECHO TODISKS must be run in the directory that Songbird Studios was
ECHO unzipped in.  Please change to that directory and try again.
goto Done

:Aborted
ECHO 
ECHO 
ECHO Songbird Studio install disks will not be created.
goto Done

:Done
